# PhasicFlow: pFlow::algorithms Namespace Reference

pFlow::algorithms Namespace Reference

## Namespaces

| KOKKOS
| STD

## Classes

struct | greater
struct | less
struct | maximum
struct | minimum

## Functions

template<typename T >
INLINE_FUNCTION_HD int | binarySearch (const T *array, int length, const T &val)

## Function Documentation

## binarySearch()

INLINE_FUNCTION_HD int pFlow::algorithms::binarySearch | ( | const T * | array,
|  | int | length,
|  | const T & | val
| ) |  |

Definition at line 66 of file algorithmFunctions.hpp.

References length().

Referenced by pFlow::binarySearch().

Here is the call graph for this function:
Here is the caller graph for this function: